package org.bench4q.share.models.master.statistics;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.agent.BehaviorStatusCodeResultModel;

@XmlRootElement
public class ScriptBehaviorBriefModel {
	private int behaviorId;
	private String BehaviorUrl;
	private int successCount;
	private int totalCount;
	private List<BehaviorStatusCodeResultModel> list;

	public ScriptBehaviorBriefModel() {
		this.setList(new LinkedList<BehaviorStatusCodeResultModel>());
	}

	@XmlElement
	public int getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(int behaviorId) {
		this.behaviorId = behaviorId;
	}

	@XmlElement
	public String getBehaviorUrl() {
		return BehaviorUrl;
	}

	public void setBehaviorUrl(String behaviorUrl) {
		BehaviorUrl = behaviorUrl;
	}

	@XmlElement
	public int getSuccessCount() {
		return successCount;
	}

	public void setSuccessCount(int successCount) {
		this.successCount = successCount;
	}

	@XmlElement
	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	@XmlElementWrapper(name = "statusResults")
	@XmlElement
	public List<BehaviorStatusCodeResultModel> getList() {
		return list;
	}

	public void setList(List<BehaviorStatusCodeResultModel> list) {
		this.list = list;
	}

}
